zipkin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Zoltán Nagy <abe...@apache.org>
Subject Breaking change in release verifier script
Date Thu, 04 Apr 2019 10:04:44 GMT
If you're not using
https://github.com/openzipkin-contrib/apache-release-verification/, feel
free to ignore this.

I've just clicked merge on
https://github.com/openzipkin-contrib/apache-release-verification/pull/15.
This makes the "module" argument optional, and (for consistency) makes the
version argument an option (but a required one). Confused yet? The reason
to do this is so that the verifier script can work on projects with no
"submodules"; for example, in the hierarchy zipkin/brave-karaf, there is
nothing corresponding to "brave-karaf" in Dubbo. It's just dubbo, no slash,
no nothing.

Long story short, instead of ./check.sh brave-karaf 0.1.2, you should now
say ./check.sh --module brave-karaf --version 0.1.2. You can also say
--project zipkin (though that's the default). The README is updated
accordingly.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message